zfs-linux (2.2.2-0ubuntu9.4) noble; urgency=medium

  * Fix hangs when writing to pools with high objnum count (LP: #2115683):
    - d/p/lp2115683-Replace-P2ALIGN-with-P2ALIGN_TYPED-and-delete-P2ALIG.patch
      Thanks to chenqiuhao1997 <haohao0924@126.com>.

 -- Heitor Alves de Siqueira <halves@canonical.com>  Mon, 30 Jun 2025 18:16:58 -0300

zfs-linux (2.2.2-0ubuntu9.3) noble; urgency=medium

  * Prevent superblock access when filesystem is being torn down (e.g.
    snapshot unmount) (LP: #2110885)
    - d/p/4801-Linux-Fix-zfs_prune-panics-v2.patch

 -- Heitor Alves de Siqueira <halves@canonical.com>  Tue, 03 Jun 2025 18:50:00 +0000

zfs-linux (2.2.2-0ubuntu9.2) noble; urgency=medium

  [ John Cabaj ]
  * debian/patches/0001-Improve-performance-for-zpool-trim-on-linux.patch
  * debian/patches/0002-vdev_disk-ensure-trim-errors-are-returned-immediatel.patch
    - task txg_sync:696 blocked (LP: #2081678)
  * debian/patches/0003-Autotrim-High-Load-Average-Fix.patch
    - Activating autotrim results in high load average due to
      uninterruptible threads (LP: #2057693)
  * debian/patches/0004-Linux-Fix-zfs_prune-panics.patch
    - crash in openzfs - 2.2.2 not supported on 6.8 (LP: #2077926)

  [ Heitor Alves de Siqueira ]
  * Fix "field-spanning write" errors on zpool import (LP: #2082060):
    - d/p/4701-zfs_log-add-flex-array-fields-to-log-record-structs.patch
    - d/p/4702-lua-add-flex-array-field-to-TString-type.patch

 -- John Cabaj <john.cabaj@canonical.com>  Mon, 09 Dec 2024 14:00:32 -0600

zfs-linux (2.2.2-0ubuntu9.1) noble; urgency=medium

  * debian/patches/0008-Linux-6.7-compat-zfs_setattr-fix-atime-update.patch
    - Linux 6.7 support (LP: #2077487)

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 05 Sep 2024 14:38:42 -0500

zfs-linux (2.2.2-0ubuntu9) noble; urgency=medium

  * debian/patches/0007-Linux-6.8-compat-use-splice_copy_file_range-for-fallback.patch
    - Linux 6.8 support(LP: #2058179)
  * debian/control:
    - add libtirpc-dev as build dependency

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 18 Apr 2024 23:00:06 -0500

zfs-linux (2.2.2-0ubuntu8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:35:31 +0000

zfs-linux (2.2.2-0ubuntu7) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 12:30:39 +0100

zfs-linux (2.2.2-0ubuntu6) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:21:28 +0000

zfs-linux (2.2.2-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:35:12 +0000

zfs-linux (2.2.2-0ubuntu4) noble; urgency=medium

  * Cherrypick v6.8-rc1 patches from upstream.

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 26 Jan 2024 10:41:36 +0000

zfs-linux (2.2.2-0ubuntu3) noble; urgency=medium

  * Cherrypick 2.2.3-staging patches for v6.7 compat.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 05 Jan 2024 00:19:06 +0000

zfs-linux (2.2.2-0ubuntu2) noble; urgency=medium

  * d/p/u/zed-fix-typo-ZED_POWER_OFF_ENCLOUSRE_SLOT_ON_FAULT.patch:
    fix typo in configuration option in zed.rc (LP: #2046082)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Sat, 09 Dec 2023 16:10:21 -0300

zfs-linux (2.2.2-0ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 05 Dec 2023 13:20:08 +0000

zfs-linux (2.2.1-0ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 28 Nov 2023 00:10:52 +0000

zfs-linux (2.2.0-0ubuntu3) noble; urgency=medium

  * No change rebuild.

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 17 Nov 2023 09:14:23 +0000

zfs-linux (2.2.0-0ubuntu2) noble; urgency=medium

  * debian/patches/ubuntu/4752-Linux-6.6-compat-use-inode_get-set_ctime.patch,
    debian/patches/ubuntu/4753-Linux-6.6-compat-generic_fillattr-has-a-new-u32-requ.patch,
    debian/patches/ubuntu/4754-Linux-6.6-compat-fsync_bdev-has-been-removed-in-favo.patch:
    - Linux 6.6 support(LP: #2042565)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 02 Nov 2023 13:17:53 +0000

zfs-linux (2.2.0-0ubuntu1) noble; urgency=medium

  * New upstream release. LP: #2040181
    - drop patches applied upstream
    - fix potential data loss
    - upgrade to 2.2.0 final
    - adjust symbols

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 24 Oct 2023 13:25:21 +0100

zfs-linux (2.2.0~rc3-0ubuntu4) mantic; urgency=medium

  * Properly unregister sysctl entries when spl is unloaded (LP: #2034510):
    - debian/patches/4635-Linux-6.5-compat-spl-properly-unregister-sysctl-entr.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 06 Sep 2023 09:03:35 +0200

zfs-linux (2.2.0~rc3-0ubuntu3) mantic; urgency=medium

  * Cherrypick upstream pull request 15234 to hopefully fix
    loading/unloading/reloading zfs modules.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 01 Sep 2023 22:25:13 +0100

zfs-linux (2.2.0~rc3-0ubuntu2) mantic; urgency=medium

  * Fix UBSAN array-index-out-of-bounds warnings (LP: #2033385):
    - debian/patches/4630-ubsan-Support-varlen-arrays-at-end-of-struct-as-1-or.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 29 Aug 2023 09:37:56 +0000

zfs-linux (2.2.0~rc3-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Fix symbols for the new rc.
  * Cherry-pick additional compat patches for v6.4 and v6.5.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sun, 20 Aug 2023 17:21:04 +0100

zfs-linux (2.2.0~rc1-0ubuntu2) mantic; urgency=medium

  * Fixup up new symbols.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 10 Jul 2023 11:08:38 +0100

zfs-linux (2.2.0~rc1-0ubuntu1) mantic; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 06 Jul 2023 18:09:52 +0100

zfs-linux (2.1.99-0ubuntu4) mantic; urgency=medium

  * Package master snapshot (zfs-2.1.99-1978-g4f583a827e)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 01 Jun 2023 16:13:59 +0100

zfs-linux (2.1.99-0ubuntu3) mantic; urgency=medium

  * Fixup symbols for non-amd64 arches.
  * Remove all known zfs kernel modules in the smoke test.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 30 May 2023 10:33:20 +0100

zfs-linux (2.1.99-0ubuntu2) mantic; urgency=medium

  * autopkgtest: skip on secureboot enabled machines.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 25 May 2023 17:10:35 +0100

zfs-linux (2.1.99-0ubuntu1) mantic; urgency=medium

  * Package master snapshot (zfs-2.1.99-1955-gad0a554614)
  * Adds support for v6.3+ LP: #2018716
  * Use native packaging without a tarball.
  * Lots of symbols dropped and changed:
    - however these are due to fvisibility=hidden
    - they should be internal-only
    - and not used externally
    - thus updating symbols without ABI bumps
    - fingers-crossed

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 23 May 2023 16:00:16 +0100

zfs-linux (2.1.12-1) unstable; urgency=medium

  * New upstream version 2.1.12
  * Remove already merged patches.
  * Rebase existing patches.
  * New symbols for libzfs4linux and libzpool5linux.

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Jun 2023 21:57:31 -0700

zfs-linux (2.1.11-1ubuntu1) mantic; urgency=medium

  * Merge from Debian Unstable (LP: #2008245), remaining changes:
    - debian/control:
      + drop dependencies on "zfs-modules | zfs-dkms" such that all
    packages can be installed in containers, on hosts that have zfs module
    loaded.
      + change initramfs/dracut packages to only Ubuntu-64bit
    architectures, zfs is not well supported on 32bit arches
    - debian/rules:
      + enforce abi check on Ubuntu amd64
    - debian/tests/control:
      + reduce testing to smoketest only
      + Ubuntu Kernel regression testing covers zfs testsuite
    - debian/patches:
      + Apply Ubuntu patchset to integrate with zsys
      + Fixup up renamed & unused patches

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 18 May 2023 15:06:36 +0100

zfs-linux (2.1.11-1) unstable; urgency=medium

  [ Mo Zhou ]
  * Fix riscv64 CI failure as well.

  [ Aron Xu ]
  * New upstream stable point release version 2.1.11
  * Drop patches that are already in upstream stable release

 -- Aron Xu <aron@debian.org>  Sun, 23 Apr 2023 17:29:38 +0800

zfs-linux (2.1.9-4) unstable; urgency=medium

  [ Mo Zhou ]
  * Tentative fix for armel CI due to missing kernel headers.

  [ наб ]
  * /lib/zfs-linux/trim: don't exit 1 if last pool isn't nvme-only (Closes: #1030316)

  [ Aron Xu ]
  * cherry pick patches from upstream 2.1.10 stable branch
  * libzpool5linux: update symbols

 -- Aron Xu <aron@debian.org>  Wed, 19 Apr 2023 00:18:07 +0800

zfs-linux (2.1.9-3) unstable; urgency=medium

  * targeted cherry-pick to fix quality issues

 -- Aron Xu <aron@debian.org>  Sat, 25 Mar 2023 23:07:02 +0800

zfs-linux (2.1.9-2ubuntu2) mantic; urgency=medium

  * Cherry-pick upstream fix to address FTBFS with v6.2.8+. LP: #2019450

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 13 May 2023 00:49:15 +0100

zfs-linux (2.1.9-2ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable (LP: #2008245), remaining changes:
    - debian/control:
      + drop dependencies on "zfs-modules | zfs-dkms" such that all
    packages can be installed in containers, on hosts that have zfs module
    loaded.
      + change initramfs/dracut packages to only Ubuntu-64bit
    architectures, zfs is not well supported on 32bit arches
    - debian/rules:
      + enforce abi check on Ubuntu amd64
    - debian/tests/control:
      + reduce testing to smoketest only
      + Ubuntu Kernel regression testing covers zfs testsuite
    - debian/patches:
      + Apply Ubuntu patchset to integrate with zsys

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 03 Mar 2023 07:18:14 +0000

zfs-linux (2.1.9-2) unstable; urgency=medium

  [ Aron Xu ]
  * d/control: remove obsolete Recommends lsb-base
  * cherry-pick upstream post 2.1.9 patches

  [ Mo Zhou ]
  * Cherry-pick more patches.
  * Add a new symbol for libzpool5linux.

 -- Aron Xu <aron@debian.org>  Sun, 26 Feb 2023 12:32:52 +0800

zfs-linux (2.1.9-1) unstable; urgency=medium

  * New upstream version 2.1.9

 -- Aron Xu <aron@debian.org>  Thu, 26 Jan 2023 14:36:48 +0800

zfs-linux (2.1.8-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream version 2.1.8
  * d/patches: drop patches merged upstream, refresh remaining ones
  * Update std-ver to 4.6.2, no change required

  [ Douglas A. Tutty ]
  * README.Debian: document libpam-zfs usage for homes not in rpool (Closes: #1024128)

 -- Aron Xu <aron@debian.org>  Sun, 22 Jan 2023 02:08:54 +0800

zfs-linux (2.1.7-2) unstable; urgency=medium

  [ Mo Zhou ]
  * Add script for testing bullseye->bookworm upgrade. (irrelevant to packaging) (See: #1024326)

  [ Paulo Henrique de Lima Santana ]
  * Add Brazilian Portuguese debconf templates translation (Closes: #1026402)

  [ Aron Xu ]
  * Add upstream patch to avoid packaging.version.LegacyVersion (Closes: #1028174)
  * libzfslinux-dev: Depends on libblkid-dev (Closes: #1023070)
  * Add upstream patch for linux 6.1 and 6.2 compatibility (Closes: #1028242)

 -- Aron Xu <aron@debian.org>  Fri, 13 Jan 2023 01:47:49 +0800

zfs-linux (2.1.7-1) unstable; urgency=medium

  * New upstream version 2.1.7
  * Remove merged patches and refresh the remaining ones.

 -- Mo Zhou <lumin@debian.org>  Fri, 02 Dec 2022 18:42:14 -0500

zfs-linux (2.1.6-3) unstable; urgency=medium

  [ наб ]
  * Clean up and fix the automatic trim script. (Closes: #1022712)

 -- Mo Zhou <lumin@debian.org>  Sat, 05 Nov 2022 23:29:46 -0400

zfs-linux (2.1.6-2) unstable; urgency=medium

  * Fix the accidentally broken systemd boot sequence.
    (Fixes: https://github.com/openzfs/zfs/issues/14010)
  * Install zfs-load-key.service (/dev/null).
    The init script with the same name has to be skipped for systemd.

 -- Mo Zhou <lumin@debian.org>  Tue, 11 Oct 2022 18:34:41 -0400

zfs-linux (2.1.6-1) unstable; urgency=medium

  [ Aron Xu ]
  * trim: determine if a device uses nvme transport with lsblk (Closes: #990745)

  [ Mo Zhou ]
  * New upstream version 2.1.6 (Oct 2022)
  * Install init script "zfs-load-keys". (Closes: #1017911)
  * Symlink zfs,zpool to /bin/ for non-root usage. (Closes: #979437)
  * Symlink zpool_influxdb to /bin. (Closes: #1001446)
  * Merge changes from ubuntu diff from 2.1.5-1ubuntu1 to 2.1.5-1ubuntu5.
    Changes during merge:
      - OpenZFS upstream patches are dropped.
      - d/control and d/tests/control are renamed with .ubuntu suffix.
      - ABI check is not enforced.
  * Refresh existing patches.
  * Refresh symbols control file.
  * Update lintian overrides.
  * Deal with the annoying lintian mismatch due to square brackets.

  [ Dimitri John Ledkov (ubuntu diff) ]
    * Fix cross-compile of the dkms module.
    * Adapt symbols file.
    * Bump zzstd.ko module version number. All modules are going to be
      merged into one upstream soon. At the moment all other modules
      increase with every build, but zzstd one. Append zfs package version
      to zzstd module version number, to make dkms module versions higher
      than kernel prebuilt ones.
    * Merge from Debian Unstable, remaining changes:
      - debian/control:
        + drop dependencies on "zfs-modules | zfs-dkms" such that all
      packages can be installed in containers, on hosts that have zfs
      module loaded.
        + change initramfs/dracut packages to only Ubuntu-64bit
      architectures, zfs is not well supported on 32bit arches
      - debian/rules:
        + enforce abi check on Ubuntu amd64
      - debian/tests/control:
        + reduce testing to smoketest only
        + Ubuntu Kernel regression testing covers zfs testsuite
      - debian/patches:
        + Apply Ubuntu patchset to integrate with zsys

 -- Mo Zhou <lumin@debian.org>  Tue, 04 Oct 2022 14:42:07 -0400

zfs-linux (2.1.5-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Do not use deprecated dkms feature REMAKE_INITRD.
  * Switch to autopkgtest-pkg-dkms.
  * Do not attempt to build the modules on PREEMPT_RT kernels. (cf. #981212)

  [ Mo Zhou ]
  * New upstream version 2.1.5 (June 2022) (Closes: #1012600)
  * Remove merged patches:
    - 4900-ppc-get-user-workaround.patch
    - 4901-zvol_wait-Ignore-locked-zvols.patch
    - no-REMAKE_INITRD.patch
    And Rebase all remaining patches.

  [ Alejandro R. Sedeño ]
  * zfs-dracut: install new man page
  * refresh symbols

 -- Mo Zhou <lumin@debian.org>  Wed, 22 Jun 2022 20:48:20 -0700

zfs-linux (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4 (Closes: #1007186)
  * Sync debian/patches/ubuntu directory from 2.1.2-1ubuntu3.
    - Ubuntu patches are not applied on Debian.
    + Reorder patches in patches/series to keep ubuntu patches last.
    + Autopkgtest improvements for kernel-smoke-test-scrub.
    + Thanks to Dimitri John Ledkov <dimitri.ledkov@canonical.com>.
    + Thanks to Dave Jones <dave.jones@canonical.com>.
    + Sync debian/control.ubuntu from downstream debian/control.
  * Rebase existing patchset to new upstream release.
  * Install upstream's new systemd scrub service (weekly and monthly).
  * Build with libcurl for new keylocation=https:// (Closes: #988521)
  * Refresh symbols control file.
  * Update lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Sat, 26 Mar 2022 15:44:54 -0400

zfs-linux (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * Update symbols

 -- Aron Xu <aron@debian.org>  Thu, 16 Dec 2021 23:12:47 +0800

zfs-linux (2.1.1-3) unstable; urgency=medium

  * Fix pkgcfg path in dkms.mkconf
  * Add patch to avoid zfs-volume-wait timeout with locked encrypted
    zvols (Closes: #997980, LP: #1888405)
  * Update README.{Source,Debian} to reflect current situation (Closes: #986301)

 -- Aron Xu <aron@debian.org>  Wed, 08 Dec 2021 16:55:48 +0800

zfs-linux (2.1.1-2) experimental; urgency=medium

  * d/lib{uutil3,zfs4,zpool5}linux.symbols: updated

 -- Aron Xu <aron@debian.org>  Sat, 27 Nov 2021 02:37:32 +0800

zfs-linux (2.1.1-1) experimental; urgency=medium

  * New upstream version 2.1.1 (Closes: #991896)
  * d/patches: update for 2.1.x series
  * d/control: require abigail-tools >= 1.8
  * d/rules: allow abigail to fail
  * zfsutils-linux: move {zfs,zpool}{concepts,props} from man8 to man7
  * zfsutils-linux: install new files
  * libzpool: update soversion from 4 to 5, update symbols
  * Add PPC get_user workaround from Ubuntu
  * d/patches: clean up patches and make lintian happy
  * d/control: update short desc for libzfs4linux and libzfsbootenv1linux
  * d/patches: update Forwarded header
  * d/copyright: update copyright information
  * d/control: remove transition dummpy packages spl and spl-dkms
  * d/zfs-test.lintian-overrides: update file path
  * Close debconf translation bugs for those already merged
    Closes: #984731, #985130, #985360, #986337, #987342, #993892

 -- Aron Xu <aron@debian.org>  Wed, 24 Nov 2021 21:50:39 +0800

zfs-linux (2.0.6-1) unstable; urgency=medium

  [ Ben K ]
  * Fix grammar (or maybe it was a typo) of "das/dass" in debian/po/de.po.

  [ Aron Xu ]
  * d/README.Debian: update the scrub time
  * New upstream version 2.0.6
  * Remove applied patch, refresh remaining ones
  * Update symbols for libzpool4linux

 -- Aron Xu <aron@debian.org>  Thu, 23 Sep 2021 14:43:12 +0800

zfs-linux (2.0.3-9) unstable; urgency=medium

  * Cherry-pick "Remove iov_iter_advance() for iter_write" (Closes: #989373)

 -- Mo Zhou <lumin@debian.org>  Thu, 01 Jul 2021 13:44:20 +0800

zfs-linux (2.0.3-8) unstable; urgency=medium

  * Fix a typo in autopkgtest-dependency header package name.

 -- Mo Zhou <lumin@debian.org>  Thu, 15 Apr 2021 09:44:39 +0800

zfs-linux (2.0.3-7) unstable; urgency=medium

  * Use Architecture: field for autopkgtest.
  * Add missing test dependency linux-headers-armmp for armhf.

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Apr 2021 12:24:03 +0800

zfs-linux (2.0.3-6) unstable; urgency=medium

  [ наб ]
  * Fix broken purge detection in zfs-zed.postrm. (Closes: #986374)
  * /u/l/z-l/{scrub, trim}: enhancements including proper handling for pools
    with spaces in name. (Closes: #986380)

  [ Mo Zhou ]
  * Really install README.Debian into every binary package.

 -- Mo Zhou <lumin@debian.org>  Mon, 05 Apr 2021 10:35:25 +0800

zfs-linux (2.0.3-5) unstable; urgency=medium

  [ наб ]
  * Fix d/rules that README.Debian is installed for libnvpair3linux only.
    (Closes: #986299)

 -- Mo Zhou <lumin@debian.org>  Sat, 03 Apr 2021 17:55:51 +0800

zfs-linux (2.0.3-4) unstable; urgency=medium

  * Revise the auto-{scrub,trim} scripts and describe usage in README.Debian.
    (See #986185 and thanks for наб)

 -- Mo Zhou <lumin@debian.org>  Fri, 02 Apr 2021 21:35:32 +0800

zfs-linux (2.0.3-3) unstable; urgency=medium

  * Use zfs property for periodical-{scrub,trim} cron jobs.
    This fixes the exclusive "nvme-only" behavior of the auto-trim script.
    P.S. In this way, we will not have to store configs in /etc/default/zfs,
    or use debconf database as a registry. Plus, this also allows us to
    configure the cron job behavior per zpool.
    (Closes: #986185)
  * Fix i386 autopkgtest failure due to missing dependency.

 -- Mo Zhou <lumin@debian.org>  Fri, 02 Apr 2021 14:34:15 +0800

zfs-linux (2.0.3-2) unstable; urgency=medium

  [ Aron Xu ]
  * cherry pick of upstream post-2.0.3 fixes
  * debconf: update the term ZFS to OpenZFS
  * debconf: run debconf-updatepo

  [ Antonio Russo ]
  * Adjust zed.d symlink-preservation (Closes: #983401)
  * Remove /etc/zfs/zed.d on purge

  [ Mo Zhou ]
  * Only automatically TRIM NVMe SSD pools. (Closes: #983086, #982505)

  [ наб ]
  * Fix a misleading comment in the scrub cronjob script. (Closes: #985349)

 -- Aron Xu <aron@debian.org>  Tue, 30 Mar 2021 14:47:05 +0800

zfs-linux (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3
  * Remove upstreamed patches.
  * Synchronize with ubuntu delta 2.0.1-1ubuntu2.

 -- Mo Zhou <lumin@debian.org>  Fri, 12 Feb 2021 16:30:01 +0800

zfs-linux (2.0.2-1) unstable; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.0.2

  [ Antonio Russo ]
  * Remove upstreamed patches and refresh remaining ones.
  * Update debian/copyright
  * Add ZTS to debian/tests
  * Bump Standards-Version to 4.5.1 (no changes)
  * Reoganize debian/patches
  * Cherry pick patches from 2.0.3 staging

 -- Mo Zhou <lumin@debian.org>  Sat, 06 Feb 2021 13:30:55 +0800

zfs-linux (2.0.1-3) unstable; urgency=medium

  [ Antonio Russo ]
  * Install zgenhostid in /sbin (Closes: #980464)
  * Three ZTS patches

 -- Mo Zhou <lumin@debian.org>  Thu, 21 Jan 2021 17:09:02 +0800

zfs-linux (2.0.1-2) unstable; urgency=medium

  * Patch: move manpage arcstat(1) to arcstat(8). (Closes: #980105)
  * Cherry-pick patches from upstream zfs-2.0.2-staging branch.
     + 0001-zpool-Dryrun-fails-to-list-some-devices.patch

 -- Mo Zhou <lumin@debian.org>  Fri, 15 Jan 2021 22:27:09 +0800

zfs-linux (2.0.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Jan 2021 22:24:18 +0800

zfs-linux (2.0.1-1~exp1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.0.1 (Closes: #977656)
  * Elaborate the functionality of ZED in long description. (Closes: #979414)
  * Fixup encoding in one of the patch headers.
  * Update lintian overrides.

  [ Antonio Russo ]
  * Update overrides for 2.0.1
  * New symbols shipped in 2.0.1

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Jan 2021 13:24:36 +0800

zfs-linux (2.0.0-1~exp1) experimental; urgency=medium

  [ Mo Zhou ]
  * New upstream version 2.0.0
  * d/rules: Only check ABI for the amd64 architecture.
  * Refresh symbols file again based on arm64.

  [ Antonio Russo ]
  * Use new --with-pkgconfigdir tunable
  * ship arcstat(1) manual page
  * Manual pages were split into subpages
  * Add new zstream utility
  * Include new zfs_ids_to_path tool
  * Include new pam_zfs_key mechanism
  * Refresh patches
  * Remove upstreamed patches
  * Do not regenerate zfs_gitrev.sh during dkms build
  * Bump library versions to match upstream
  * Update symbols
  * refresh lintian-overrides for 2.0.0
  * package zfsbootenv library
  * Remove upstreamed risc patches
  * override zfs-tests lintian warnings
  * Validate ABI at build time
  * Reflect libssl requirement of libzfs
  * Exclude FreeBSD sources in Linux DKMS package
  * Remove duplicate lintian override
  * Update debian/copyright

  [ Aron Xu ]
  * Remove out dated lintian override: package-uses-old-debhelper-compat-version

 -- Aron Xu <aron@debian.org>  Fri, 25 Dec 2020 01:33:41 +0800

zfs-linux (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * d/patches/update-meta.patch: disabled, not needed this upload

 -- Aron Xu <aron@debian.org>  Thu, 17 Dec 2020 17:18:12 +0800

zfs-linux (0.8.5-3) unstable; urgency=medium

  [ Antonio Russo ]
  * symbols: Build-Depends-Package on libzfslinux-dev

  [ Aron Xu ]
  * Petter to step aside, thanks for all the work, happy hacking!

  [ Witold Baryluk ]
  * Don't stop on first error in scrub and trim script (Closes: #976090)

 -- Mo Zhou <lumin@debian.org>  Thu, 10 Dec 2020 14:28:50 +0800

zfs-linux (0.8.5-2) unstable; urgency=medium

  [ Antonio Russo ]
  * zfs-dkms: restrict to the same source version (Closes: #972327)
  * lintian: ignore binary data in lua script.

  [ Mo Zhou ]
  * Cherry-pick x32 support from master branch. (Closes: #968256)

 -- Mo Zhou <lumin@debian.org>  Thu, 29 Oct 2020 14:05:31 +0800

zfs-linux (0.8.5-1) unstable; urgency=medium

  [ Aron Xu ]
  * Schedule pool TRIM on every first Sunday of month

  [ Mo Zhou ]
  * New upstream version 0.8.5 (Oct 6 2020 UTC) (Closes: #966565, #968550)
  * Remove merged patches and refresh the remaining ones.
  * Update installation path for libzfslinux-dev pkgconfig files.
  * Add d/clean to clean up useless files and those generated from templates.

  [ Antonio Russo ]
  * Apply wrap-and-sort
  * Update version-dependent paths in lintian overrides
  * Update kernel compatibility
  * Install in multiarch-compatible directories.

 -- Mo Zhou <lumin@debian.org>  Fri, 16 Oct 2020 18:14:05 +0800

zfs-linux (0.8.4-2) unstable; urgency=medium

  * Sync with Ubuntu delta 0.8.4-1ubuntu10.
    + Sync 4000-zsys-support.patch from 0.8.4-1ubuntu10.
    + Backport upstream patches fixing a dependency loop when encryption
      via Luks (like swap) is enabled. (LP: #1875577)
      Patch: git_fix_dependency_loop_encryption{1,2}.patch
    + Add Linux 5.8 compat fix (4520-Linux-5.8-compat-__vmalloc.patch)
    + Remove 4500-fix-generator-invalid-cache.patch following Ubuntu
    + Make keystore encryption or direct ZFS encryption closer, and make
      the service chain more robust. (4000-mount-encrypted-dataset-fix.patch)
    + Add risc-v 64 bit support, requires implementing risc-v setjmp/longjmp
      and adding some relevant #defines (4521-enable-risc-v-isa.patch)
    + 4620-zfs-vol-wait-fix-locked-encrypted-vols.patch
      zfs-volume-wait.service systemd unit does not start if the encrypted
      zvol is locked. The /sbin/zvol_wait should not wait for links when the
      volume has property keystatus=unavailable. Add a check for this.
    + Thanks to Ubuntu developers. Let's hope for a smaller debdiff.
  * Fix FTBFS with sphinx (Closes: #962276).
  * Rebase git_fix_dependency_loop_encryption1.patch and refresh the rest.

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Jul 2020 22:26:35 +0800

zfs-linux (0.8.4-1) unstable; urgency=medium

  [ Antonio Russo ]
  * Let zfs-test use installed python3
  * Add dependencies for zfs-test
  * Refresh patches for 0.8.4
  * Refresh debian/not-installed

  [ Mo Zhou ]
  * New upstream version 0.8.4
  * Bump Standards-Version to 4.5.0 (no change).
  * Refresh symbols control file.
  * Remove the unnecessary --with systemd dh option.

 -- Mo Zhou <lumin@debian.org>  Wed, 13 May 2020 14:46:54 +0800

zfs-linux (0.8.3-2) unstable; urgency=medium

  [ Richard Laager ]
  * cron: Do not error if already scrubbing

  [ Antonio Russo ]
  * [dracut] include zfs-load-module.service
  * Preserve /etc/zfs/zed.d configuration on upgrade (Closes: #952822)

  [ Mo Zhou ]
  * Reword ZFS Description, thanks to Richard Laager (Closes: #949911)
  * Import patches from Ubuntu delta (0.8.3-1ubuntu3).
    + Apply 2100-zfs-load-module.patch and add this new service.
    + The rest Ubuntu specific patches are left in the comment.
  * Refresh upstream Git repo URL in d/copyright.
  * Sync patchset with Ubuntu diff (= 0.8.3-1ubuntu8).
    + Cherry-pick patches for Linux 5.5, 5.6 support.
    + Rest patches are unapplied (can reduce Debian/Ubuntu debdiff).
    + Many thanks to Ubuntu developers.
  * Import the Ubuntu version of tests/control as tests/control.ubuntu
  * Autopkgtest: Reconfigure before testing binary kmod pkg builds.

 -- Mo Zhou <lumin@debian.org>  Thu, 19 Mar 2020 10:58:53 +0800

zfs-linux (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
  * Remove the seven upstreamed/cherry-picked patches.
  * Mark zfs-import.service as not-installed.
  * Refresh symbol control files.
  * Add NEWS entry about SIMD and parallel KABI checks.

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Jan 2020 15:58:35 +0800

zfs-linux (0.8.2-5) unstable; urgency=medium

  * Remove old+unused SIMD patches; Move the openrc patch to "unapplied" dir.
  * Correct zpool scrubing oneliner in crontab. (Closes: #946748)
    Thanks to Dirk Heinrichs. Reviewed by Richard Laager.
  * Cherry-pick: fix-automount-for-root-filesystems.patch (Closes: #945585)
  * Add patch headers to patches without them.
  * Override a series of lintian Info.
  * Bump Standards-Version to 4.4.1 (no change).
  * Update my mail address in control and copyright.

 -- Mo Zhou <lumin@debian.org>  Tue, 21 Jan 2020 20:39:26 +0800

zfs-linux (0.8.2-4) unstable; urgency=medium

  [ Colin Ian King ]
  * etc-defaults-zfs-notice.patch: fix "unexpected end of diff".

  [ Steve Langasek ]
  * initramfs: setup keymapping and video for prompts. (LP: #1856408)

  [ Heitor Alves de Siqueira ]
  * Fix livelock between ZFS evict and writeback threads (LP: #1856084)
    - Upstream 41e1aa2a06f8 "Break out of zfs_zget early if unlinked znode"
    - Upstream 0c46813805f4 "Check for unlinked znodes after igrab()"
    (Closes: #946610)

  [ Mo Zhou ]
  * Autopkgtest: Remove the vendor tests from binary-debs* tests
    and the dkms-zfs-test.
  * Merge 2 upstreamed patches from ubuntu diff (0.8.2-3ubuntu1)
    + 4501-fix-var-lib-race.patch
    + 4600-diff_cb-does-not-handle-large-dnodes.patch
  * Don't restart zfs-{import*,mount} on/after upgrade. (Closes: #923377)

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 19 Dec 2019 21:25:28 +0800

zfs-linux (0.8.2-3) unstable; urgency=medium

  [ Aron Xu ]
  * Drop OpenRC support due to the difficulties of merging upstream

  [ Mo Zhou ]
  * Also trigger update-initramfs by zfs-dkms in case that of zfs-initramfs
    was somehow missed. (Closes: #941859)
  * Amend broken autopkgtest for binary module package build.
  * Have zfs-dkms Suggest: debhelper (Closes: #909183)
  * Try to load zfs.ko before starting services at postinst. This fixes a
    long-standing problem where fresh installs may fail during postinst.
    (Closes: #921305, #927003, #940238)
  * Patch /etc/defaults/zfs, adding a notice for systemd user.
    (Closes: #901436)
  * Update lintian overrides.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 02 Nov 2019 13:00:41 +0800

zfs-linux (0.8.2-2) unstable; urgency=medium

  [ Antonio Russo ]
  * relocate zgenhostid and zvol_wait from /usr/bin to /sbin
  * Remove a patch implicated in data corruption (related to
    linux-5.0-simd-compat.patch)

  [ Mo Zhou ]
  * Collect symbol updates from buildd/ppa for non-x86 archs.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Sep 2019 03:09:51 +0000

zfs-linux (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2 (Closes: #941019)
  * Deprecate control.in and use ${linux:Recommends} for the dynamic part.
  * French debconf templates translation by Julien Patriarca (Closes: #934631)
  * Remove merged patches:
     - 2000-increase-default-zcmd-allocation-to-256K.patch
     - git_fix_mount_race.patch
  * Disable linux-5.0-simd-compat.patch due to its incorrect assumption that
    may lead to system instability when SIMD is enabled. (Closes: #940932)
    See also https://github.com/zfsonlinux/zfs/issues/9346
  * Install new service that waits on zvol links to be created (gh#8975).
  * Remove unused control variable ${python3:Depends} for zfsutils-linux.
  * Track symbols for lib{nvpair1,uutil1,zfs2,zpool2}.
  * lintian: Override source: excessive-debhelper-overrides
  * lintian: Remove unused overrides for zfs-test.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 27 Sep 2019 12:35:34 +0800

zfs-linux (0.8.1-4) unstable; urgency=medium

  [ Didier Roche ]
  * Cherry-pick commit to fix a race condition when canmount=off
    (LP: #1837717) (synced from 0.8.1-1ubuntu8).

  [ Fabian Grünbichler ]
  * cherry-pick compat fix for CONFIG_X86_DEBUG_FPU (Closes: #934282)

  [ Mo Zhou ]
  * Drop lib{attr,selinux}1-dev from B-D; add lib{aio,udev,elf}-dev to B-D.
    (LP: #1837544) (See https://github.com/zfsonlinux/zfs/issues/9036)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 10 Aug 2019 04:23:33 +0000

zfs-linux (0.8.1-3) unstable; urgency=medium

  [ Aron Xu ]
  * Install fakeroot for some autopkgtest cases
  * Make binary module packages builds parallel
  * control: fix typo in zfs-test short description

  [ Mo Zhou ]
  * Patch: force verbose output from libtool.
  * Override false posive lintian errors and several warnings.
  * Bump Standards-Version to 4.4.0 (no change).
  * Cherry-pick e5db313 to fix the linux-SIMD compatibility.
  * Apply wrap-and-sort.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 22 Jul 2019 08:49:44 +0000

zfs-linux (0.8.1-2) experimental; urgency=medium

  [ Colin Ian King ]
  * Ensure libc6-dev or libc-dev is installed when building zfs-dkms.
  * Ensure any previous ZFS/SPL modules are removed before loading
    new ZFS/SPL modules to ensure correct drivers are being tested.
    Changes in debian/tests/kernel-smoke-test
  * Fix timeout issue in LXD: 3100-remove-libzfs-module-timeout.patch

  [ Mo Zhou ]
  * Cherry-pick patches from ubuntu diff: 0.8.1-1ubuntu5 .
  * Skip autopkgtest: dkms/modules tests for Ubuntu.
  * Avoid lintian warning by using explicit await trigger.
  * Override more lintian warnings.
  * Remove insserv confliction as the circular depends has been fixed;
    libpython3-stdlib (<< 3.6.4) ships distutils. (Closes: #931515)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 09 Jul 2019 07:29:27 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog zfs-dkms`.
